/* default_form.c -- Copyright (C)  2005-2008 Marco Cesati
 * Fri, 18 Feb 2005 13:13:50 +0100
 */

#if HAVE_CONFIG_H
#  include <config.h>
#endif
#include <stdio.h>
#if HAVE_STDLIB_H
#  include <stdlib.h>
#endif
#include "form.h"

#include "form0.h"
#include "form1.h"

static const struct form_t * forms[] = 
    { &default_form, &form1 };
    
char *str_answers(unsigned char code)
{
#define MAXANSWERS 16 
    static char tempbuf[MAXANSWERS+1];
    unsigned int i, j;
    
    for (i=0, j=0; code; i++, code>>=1)
        if (code & 1)
            tempbuf[j++] = 'A'+i;
    tempbuf[j] = '\0';
    return tempbuf;
}

const struct form_t *form;

static const int __max_form_version = sizeof(forms)/sizeof(forms[0]) -1;


int max_form_version(void)
{
    return __max_form_version;
}

void set_form_version(int n)
{
    if (n < 0 || n > __max_form_version) {
        fprintf(stderr, 
            "PANIC: internal error, file %s, function %s(), line %d\n",
            __FILE__, __FUNCTION__, __LINE__);
        exit(EXIT_FAILURE);
    }
    form = forms[n];
}
