#ifndef __FORM1_H__
#define __FORM1_H__

#include "form.h"

static const double form1_answer_vo[15] 
        = { 179.6, 167.9, 156.3, 144.3, 132.5, 120.9, 109.3, 97.4,
            85.5, 73.8, 62.1, 50.3, 38.3, 26.7, 15.1 };
                                     
static const double form1_answer_ho[6] 
        = { 13.3, 44.6, 75.7, 107.00, 138.1, 169.5 };

const struct form_t form1 = {
    .cross = {
        .width = 10.0,
        .height = 10.0,
        .hdist = 182.0,
        .vdist = 261.9
    },
    .code = {
        .width = 3.0,
        .height = 3.0,
        .max_threshold = 100.0,
        .min_threshold = 40.0,
        .step_threshold = 10.0,
        .skip_edge = .25,
        .vo = { 225.5, 220.5, 215.5 },
        .ho = { 176.5, 171.5, 166.5, 161.5, 156.5, 
                151.5, 146.5, 141.5, 136.5, 131.5 }
    },
    .answer = {
        .nquest = 15,
        .nanswer = 6,
        .width = 7.0,
        .height = 7.0,
        .threshold = 10.0,
        .skip_pixel = 4,
        .vo = form1_answer_vo,
        .ho = form1_answer_ho
    }
};

#endif
