/* rdform.h -- Copyright (C)  2000-2008 Marco Cesati
 * Fri, 18 Feb 2005 13:13:50 +0100
 */

#ifndef __RDFORM_H__
#define __RDFORM_H__


#define PRINT(A...) \
	if (verbose) fprintf(stderr, A);

struct image_t {
        char *buf;      /* pixel buffer */
        int width;      /* width in pixel */
        int height;     /* height in pixel */
        int c_tlv;      /* y-coordinate of the top-left cross */
        int c_tlh;      /* x-coordinate of the top-left cross */ 
        int c_trv;      /* y-coordinate of the top-right cross */
        int c_trh;      /* x-coordinate of the top-right cross */
        int c_blv;      /* y-coordinate of the bottom-left cross */
        int c_blh;      /* x-coordinate of the bottom-left cross */
        int c_brv;      /* y-coordinate of the bottom-right cross */
        int c_brh;      /* x-coordinate of the bottom-right cross */
        double hres;    /* horizontal resolution */
        double vres;    /* vertical resolution */
        double cosphy;  /* cosine and sine of the */
        double sinphy;  /*    rotation angle */
};

extern int quiet;
extern int verbose;

extern void read_pbm_file(const char *, struct image_t *);
extern void read_ppm_file(const char *, struct image_t *);

extern void compute_resolution(struct image_t *);
extern int extract_form_code(struct image_t);
extern void extract_marks(char *, struct image_t);
extern void find_cross_marks(struct image_t *);
extern void dump_to_text(struct image_t);

#endif
